<?xml version="1.0"?>


<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:bibxml="http://bibtexml.sf.net/"
                version="1.0">

    <xsl:import href="templates.xslt"/>

    <xsl:variable name="path">html</xsl:variable>

    <xsl:output method="html"
                indent = "yes"
                doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
                doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>


    <xsl:template match="/">
      <xsl:document href="{$path}/indexKeywords.html">
        <html>
          <head>
            <link rel="stylesheet" type="text/css" href="w3c-rec.css"/>
            <title> Index of Keywords</title>
          </head>

          <body>
            <h3>Keywords Index</h3>
            <ul>
            <xsl:for-each select="//bibxml:keywords">
              <xsl:sort/>
              <xsl:if test="not(. = following::*)">

                <!-- Link to keyword bibliography -->
                <li><a href="keywords/{.}.html" target="frmContent" title="{.}"><xsl:value-of select="."/></a></li>
                <xsl:call-template name="makeKeywordsHTML">
                  <xsl:with-param name="auxKeywords" select="."/>
                </xsl:call-template>
              </xsl:if>
            </xsl:for-each>
            </ul>
        </body>

      </html>
    </xsl:document>
    </xsl:template>


    <xsl:template name="makeKeywordsHTML">
      <xsl:param name="auxKeywords"/>

      <xsl:document href="keywords/{.}.html">
        <html>
          <head>
            <link rel="stylesheet" type="text/css" href="../w3c-rec.css"/>
            <link rel="stylesheet" type="text/css" href="../bib-style.css"/>
            <title> Bibliography of: <xsl:value-of select="."/></title>
          </head>
          <body>
            <h2>Bibliography of: <xsl:value-of select="."/></h2>
            <ol>
              <xsl:for-each select="document('html/data/bibfile.xml')/bibxml:file/bibxml:entry/*/bibxml:keywords">
                  <!-- Contain * -->
                  <xsl:if test="contains(.,'*') and (concat(substring-before(.,'*'),substring-after(.,'*')) = $auxKeywords)">
                    <li>
                      <xsl:apply-templates select="parent::*"/>   <!-- Proces selected entry -->
                    </li><br></br>
                  </xsl:if>
                  <!-- No contain * -->
                  <xsl:if test=". = $auxKeywords">
                    <li>
                      <xsl:apply-templates select="parent::*"/>   <!-- Proces selected entry -->
                    </li><br></br>
                  </xsl:if>
              </xsl:for-each>
            </ol>
          </body>
        </html>
      </xsl:document>

    </xsl:template>

</xsl:stylesheet>
